<vn>
<div id="title">
	<h1><t>NewsManagement</t></h1>
</div>
<div id="actions">
	<htk-bar-button
		icon="add"
		tip="_AddNew"
		on-click="hash.setAll({form: 'news/new', new: null})"/>
</div>
<div id="form" class="hedera-news">
	<htk-repeater form-id="iter" class="box htk-list vn-w-sm">
		<db-model property="model" id="news-model" updatable="true">
			<custom>
				SELECT n.id, u.nickname, n.priority, n.image, n.title
					FROM news n
						JOIN account.user u ON u.id = n.userFk
					ORDER BY priority, n.created DESC
			</custom>
		</db-model>
		<custom>
			<a class="item"
				href="{{`#!form=news/new&amp;new=${iter.id}`}}"
				title="_EditNew">
				<div class="side vn-mr-md">
					<htk-image
						form="$iter"
						column="image"
						class="photo"
						directory="news"
						subdir="200x200"
						full-dir="full"
						editable="true"
						conn="conn"/>
				</div>
				<div class="content">
					<p class="important">
						{{iter.title}}
					</p>
					<p>{{iter.nickname}}</p>
					<p>{{iter.priority}}</p>
				</div>
				<div
					class="actions"
					on-click="$event.preventDefault()">
					<htk-button
						tip="_Remove"
						icon="delete"
						on-click="this.onDeleteClick($iter)"/>
				</div>
			</a>
		</custom>
	</htk-repeater>
</div>
</vn>
